/* NSUndoManager.h created by veilljf on Mon 02-Nov-1998 */

#import <Foundation/Foundation.h>

@interface NSStackInvocationManager : NSObject
{
    NSMutableArray* undoEventList;
    int undoInvocation;
    id BEGIN_INVOCATION;
    id END_INVOCATION;
    BOOL undoing;
    BOOL runInLoop;
    int levelsOfUndo;
    int enabledRegistrationLevel;
}

-(void)registerUndoWithTarget:tar
                     selector:(SEL)sel
                       object:ob;
-(BOOL)isUndoing;
- (void)undo;
- (void)addEvent:invo;
- (void)beginUndoGrouping;
- (void)registerUndoWithTarget:(id)target
                      selector:(SEL)action
                        object:(id)info;
- (void)setActionName:(id)name;
- (void)endUndoGrouping;

- (BOOL) canUndo;
- (int)levelsOfUndo;
- (void) removeAllActions;


- (id) initWithCoder:(NSCoder *)aDecoder;
- (void) encodeWithCoder:(NSCoder *)aCoder;

@end


